<ion-content style="background:whitesmoke">
  <div class="header-back-button">
    <ion-toolbar class="background-header">
      <ion-buttons slot="start" (click)="backButton()">
        <ion-icon name="arrow-back" class="arrow-back"></ion-icon>
      </ion-buttons>
      <ion-title>Daftar Akun</ion-title>
    </ion-toolbar>
  </div>

  <div style="margin-bottom: 30px;">
    <form #form="ngForm" (ngSubmit)="register(form)">
      <ion-grid class="form-login">
        <ion-row>
          <ion-col size-md="6" size-lg="5" size-xs="12">
            <div padding>
              <ion-item>
                <ion-label position="floating">Nama Depan <span class="color-primary">*</span></ion-label>
                <ion-input name="firstName" autofocus="true" autocomplete="off" type="text" ngModel required>
                </ion-input>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Nama Belakang <span class="color-primary">*</span></ion-label>
                <ion-input name="lastName" type="text" ngModel autocomplete="off" required></ion-input>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Jenis Kelamin <span class="color-primary">*</span></ion-label>
                <ion-select name="gender" ngModel autocomplete="off" required>
                  <ion-select-option value="Laki-laki">
                    Laki-laki
                  </ion-select-option>
                  <ion-select-option value="Perempuan">
                    Perempuan
                  </ion-select-option>
                </ion-select>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Email <span class="color-primary">*</span></ion-label>
                <ion-input name="email" type="email" ngModel autocomplete="off" required></ion-input>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Nomor Handphone <span class="color-primary">*</span></ion-label>
                <ion-input name="phone" type="text" ngModel autocomplete="off" required></ion-input>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Alamat <span class="color-primary">*</span></ion-label>
                <ion-textarea name="address" type="text" ngModel autocomplete="off" required></ion-textarea>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Password <span class="color-primary">*</span></ion-label>
                <ion-input name="password" [type]="isShowPassword ? 'text' : 'password'" ngModel autocomplete="off"
                  required></ion-input>
                <ion-icon *ngIf="isShowPassword" (click)="isShowPassword = false" slot="end" name="eye"></ion-icon>
                <ion-icon *ngIf="!isShowPassword" (click)="isShowPassword = true" slot="end" name="eye-off"></ion-icon>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Konfirmasi Password <span class="color-primary">*</span></ion-label>
                <ion-input name="retypePassword" [type]="isShowRtypePassword ? 'text' : 'password'" ngModel
                  autocomplete="off" required> </ion-input>
                <ion-icon *ngIf="isShowRtypePassword" (click)="isShowRtypePassword = false" slot="end" name="eye"></ion-icon>
                <ion-icon *ngIf="!isShowRtypePassword" (click)="isShowRtypePassword = true" slot="end" name="eye-off"></ion-icon>
              </ion-item>
            </div>
            <div padding>
              <ion-button class="btn-submit" type="submit" color="secondary" [disabled]="form.invalid || !form.value.gender" expand="block"
                shape="round">Daftar</ion-button>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </form>

  </div>

  <div class="copyright ion-text-center">
    <p>&copy; Copyright MBAKU TEAM</p>
  </div>
</ion-content>